curl --request POST \
--url https://api-sandbox.circle.com/v1/businessAccount/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29"
},
"amount": {
"amount": "3.14"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/payouts"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"destination": { "id": "b8627ae8-732b-4d25-b947-1df8f4007a29" },
"amount": { "amount": "3.14" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
destination: {id: 'b8627ae8-732b-4d25-b947-1df8f4007a29'},
amount: {amount: '3.14'}
})
};
fetch('https://api-sandbox.circle.com/v1/businessAccount/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"sourceWalletId": "53535335",
"destination": {
"type": "wire",
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"name": "COMMERZBANK AG ****3000"
},
"amount": {
"amount": "3.14",
"currency": "USD"
},
"toAmount": {
"amount": "3.14",
"currency": "USD"
},
"fees": {
"amount": "3.14",
"currency": "USD"
},
"status": "pending",
"trackingRef": "CIR-6ESOQANEP3NAO",
"errorCode": "insufficient_funds",
"riskEvaluation": {
"decision": "approved",
"reason": "3000"
},
"adjustments": {
"fxCredit": {
"amount": "3.14",
"currency": "USD"
},
"fxDebit": {
"amount": "3.14",
"currency": "USD"
}
},
"return": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"payoutId": "abdb500d-4a59-457c-801f-2d418c8703ac",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"fees": {
"amount": "3.14",
"currency": "USD"
},
"reason": "payout_returned",
"status": "pending",
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z",
"customerExternalRef": "INV-2024-001234"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}Create a redemption (offramp) payout. This payout converts a digital asset to fiat currency.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
The destination bank account.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
To be used when requesting currency exchange
Show child attributes
Show child attributes
The source wallet to pay out from. If not provided, the deposit will come from the main wallet of the account.
You can get wallet IDs associated with your account using the Core API for Institutions.
Show child attributes
Show child attributes
Additional properties related to the payout beneficiary.
Show child attributes
Show child attributes
Response
Successfully created a payout.
Show child attributes
Show child attributes
Was this page helpful?